<!-- header -->
<app-side-modal-header>
  <!-- title -->
  <app-side-modal-title>
    REGISTER NEW<br />
    DEVICE
  </app-side-modal-title>
</app-side-modal-header>

<!-- content -->
<app-side-modal-content>
  <!-- stepper -->
  <app-stepper (stepChange)="onStepChanged($event)" [step]="2" [steps]="2"></app-stepper>

  <app-custom-scrollbar>
    <div class="app-label header">
      Download Toolkit App
    </div>

    <div class="app-label">
      Download Links
    </div>

    <!-- download links -->
    <div class="app-links">
      <img alt="App Store" src="/assets/images/app-store-badge.svg" />
      <img alt="Google Play" src="/assets/images/google-play-badge.svg" />
    </div>

    <!-- toolkit -->
    <ng-container *ngIf="toolkit$ | async">
      <div class="app-label">
        Toolkit Info
      </div>

      <!-- toolkit info -->
      <app-toolkit-info [toolkit]="toolkit$ | async"></app-toolkit-info>
    </ng-container>

    <!-- code generator -->
    <app-auth-code-generator
      (codeGenerated)="codeChange.emit($event)"
      [authCode]="code"
      [canRegenerate]="true"
      [user]="user$ | async"
      type="toolkit"
    >
      <ng-container message>
        In order to verify your device, you must input an auth code. Please generate the auth code below, you also have
        an option to send it via email.
      </ng-container>
    </app-auth-code-generator>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- loading -->
  <app-spinner *ngIf="loading; else actions"></app-spinner>

  <ng-template #actions>
    <!-- verify -->
    <button (click)="verifyToolkit()" appFlatButton theme="secondary">
      Verity
    </button>

    <!-- back -->
    <button (click)="emitBackClick()" appInlineButton theme="secondary">
      BACK
    </button>
  </ng-template>
</app-side-modal-footer>
